Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1527563 - the "resource_action" of custom button points to non-existent resource
Summary: the "resource_action" of custom button points to non-existent resource
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.0
Assignee: Chris Arcand
QA Contact: Martin Kourim
URL:
Whiteboard: api:generic_objects
Depends On: 1518283
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-19 14:06 UTC by Satoe Imaishi
Modified: 2018-03-06 15:26 UTC (History)
5 users (show)

Fixed In Version: 5.9.0.14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1518283
Environment:
Last Closed: 2018-03-06 15:26:12 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 CFME Bot 2017-12-19 14:16:11 UTC
New commit detected on ManageIQ/manageiq-api/gaprindashvili:
https://github.com/ManageIQ/manageiq-api/commit/eaf20b72730303bf2c399338da462fb0ae66806b

commit eaf20b72730303bf2c399338da462fb0ae66806b
Author:     Alberto Bellotti <abellotti@users.noreply.github.com>
AuthorDate: Mon Dec 18 15:09:31 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Dec 19 09:06:28 2017 -0500

    Merge pull request #251 from chrisarcand/hacky-href-fixes
    
    Don't return non-existent hrefs
    (cherry picked from commit 866c813caf709cd9a53dc57775df768841036c5b)
    
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1527563

 app/controllers/api/base_controller/normalizer.rb | 40 ++++++-----
 lib/api/href.rb                                   |  6 ++
 spec/requests/custom_buttons_spec.rb              | 85 ++++++++++++++---------
 3 files changed, 83 insertions(+), 48 deletions(-)

Comment 3 Martin Kourim 2018-02-14 14:45:48 UTC
Verified on 5.9.0.20 that the href pointing to non-existent collection is no longer there.


Note You need to log in before you can comment on or make changes to this bug.